Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Enumerations
scrollview.h File Reference
`#include <stdio.h>`

Go to the source code of this file.

## Classes

struct | SVEvent
class | SVEventHandler
class | ScrollView

## Enumerations

enum | SVEventType { SVET_DESTROY, SVET_EXIT, SVET_CLICK, SVET_SELECTION, SVET_INPUT, SVET_MOUSE, SVET_MOTION, SVET_HOVER, SVET_POPUP, SVET_MENU, SVET_ANY, SVET_COUNT }

## Enumeration Type Documentation

enum SVEventType

Enumerator:

  SVET_DESTROY |
  SVET_EXIT |
  SVET_CLICK |
  SVET_SELECTION |
  SVET_INPUT |
  SVET_MOUSE |
  SVET_MOTION |
  SVET_HOVER |
  SVET_POPUP |
  SVET_MENU |
  SVET_ANY |
  SVET_COUNT |

Definition at line 45 of file scrollview.h.

{
SVET_DESTROY, // Window has been destroyed by user.
SVET_EXIT, // User has destroyed the last window by clicking on the 'X'.
SVET_CLICK, // Left button pressed.
SVET_SELECTION, // Left button selection.
SVET_INPUT, // There is some input (single key or a whole string).
SVET_MOUSE, // The mouse has moved with a button pressed.
SVET_MOTION, // The mouse has moved with no button pressed.
SVET_HOVER, // The mouse has stayed still for a second.
SVET_POPUP, // A command selected through a popup menu.
SVET_MENU, // A command selected through the menubar.
SVET_ANY, // Any of the above.
SVET_COUNT // Array sizing.
};